Package org.jfree.report.data

# Class ReportDataRow

java.lang.Object
org.jfree.report.data.ReportDataRow

All Implemented Interfaces:
  `DataRow`, `DataSet`

public final class ReportDataRow extends Object implements DataRow
Creation-Date: 20.02.2006, 15:32:32

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`ReportDataRow`
`advance()`
Advances to the next row and attaches the given master row to the objects contained in that client data row.
`static ReportDataRow`
`createDataRow(ReportDataFactory dataFactory, String query, DataSet parameters)`
`Object`
`get(int col)`
Returns the value of the expression or column in the tablemodel using the given column number as index.
`Object`
`get(String col)`
Returns the value of the function, expression or column using its specific name.
`int`
`getColumnCount()`
Returns the number of columns, expressions and functions and marked ReportProperties in the report.
`String`
`getColumnName(int col)`
Returns the name of the column, expression or function.
`int`
`getCursor()`
`DataFlags`
`getFlags(int col)`
Queries lowlevel meta-data for the current value of the specified column.
`DataFlags`
`getFlags(String col)`
Queries lowlevel meta-data for the current value of the specified column.
`ReportData`
`getReportData()`
`boolean`
`isAdvanceable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createDataRow

public static ReportDataRow createDataRow(ReportDataFactory dataFactory, String query, DataSet parameters) throws DataSourceException, ReportDataFactoryException

Throws:
  `DataSourceException`
  `ReportDataFactoryException`

### get

public Object get(int col) throws DataSourceException
Returns the value of the expression or column in the tablemodel using the given column number as index. For functions and expressions, the `getValue()` method is called and for columns from the tablemodel the tablemodel method `getValueAt(row, column)` gets called.

Specified by:
  `get` in interface `DataRow`
Specified by:
  `get` in interface `DataSet`
Parameters:
  `col` - the item index.
Returns:
  the value.
Throws:
  `IllegalStateException` - if the datarow detected a deadlock.
  `DataSourceException` - if an error occured.

### get

public Object get(String col) throws DataSourceException
Returns the value of the function, expression or column using its specific name. The given name is translated into a valid column number and the the column is queried. For functions and expressions, the `getValue()` method is called and for columns from the tablemodel the tablemodel method `getValueAt(row, column)` gets called.

Specified by:
  `get` in interface `DataRow`
Parameters:
  `col` - the item index.
Returns:
  the value.
Throws:
  `IllegalStateException` - if the datarow detected a deadlock.
  `DataSourceException` - if an error occured.

### getColumnName

public String getColumnName(int col)
Returns the name of the column, expression or function. For columns from the tablemodel, the tablemodels `getColumnName` method is called. For functions, expressions and report properties the assigned name is returned.

Specified by:
  `getColumnName` in interface `DataRow`
Specified by:
  `getColumnName` in interface `DataSet`
Parameters:
  `col` - the item index.
Returns:
  the name.

### getColumnCount

public int getColumnCount()
Returns the number of columns, expressions and functions and marked ReportProperties in the report.

Specified by:
  `getColumnCount` in interface `DataRow`
Specified by:
  `getColumnCount` in interface `DataSet`
Returns:
  the item count.

### getFlags

public DataFlags getFlags(String col) throws DataSourceException
Description copied from interface: `DataRow`
Queries lowlevel meta-data for the current value of the specified column.

Specified by:
  `getFlags` in interface `DataRow`
Parameters:
  `col` - the colum for which to query the meta-data flags
Returns:
  the dataflag collection for the value in the named column
Throws:
  `DataSourceException` - if an error occured.

### getFlags

public DataFlags getFlags(int col)
Description copied from interface: `DataRow`
Queries lowlevel meta-data for the current value of the specified column.

Specified by:
  `getFlags` in interface `DataRow`
Parameters:
  `col` - the colum for which to query the meta-data flags
Returns:
  the dataflag collection for the value in the specified column

### advance

public ReportDataRow advance() throws DataSourceException
Advances to the next row and attaches the given master row to the objects contained in that client data row.

Parameters:
  `master` -
Returns:
Throws:
  `DataSourceException`

### isAdvanceable

public boolean isAdvanceable() throws DataSourceException

Throws:
  `DataSourceException`

### getReportData

public ReportData getReportData()

### getCursor

public int getCursor()